tpm_setoperatorauth(8)

TPM Management - tpm_setoperatorauth

NAME
tpm_setoperatorauth - sets the operator authorization value in the TPM

SYNOPSIS
tpm_setoperatorauth [OPTION]

DESCRIPTION

tpm_setoperatorauth allows setting the operator authorization value in the TPM (via the TPM_SetOperatorAuth API). This operation prompts for the new password and a confirmation of it. The --well-known option tells the API to use the default TSS_WELL_KNOWN_SECRET (a 20-bytes array of zeros) as operator authorization information, instead of prompting for one.

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-u, --unicode
    Use TSS UNICODE encoding for passwords to comply with applications using TSS popup boxes

-z, --well-known
    Use the default TSS_WELL_KNOWN_SECRET 20-bytes array of zeros as the operator password.

-p, --op_password_unicode
    Use TSS UNICODE encoding for new operator password to comply with applications using TSS popup boxes

SEE ALSO

tpm_version(1), tpm_takeownership(8), tcsd(8)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>